Coding Variants Phenotypes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/coding-variants/phenotypesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/coding-variants/phenotypes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/coding-variants/phenotypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"score": 123,
"source": "<string>",
"source_url": "<string>",
"coding_variant": {
"_id": "<string>",
"aapos": 123,
"hgvsp": "<string>",
"protein_name": "<string>",
"gene_name": "<string>",
"ref": "<string>",
"alt": "<string>"
},
"phenotype": {
"phenotype_id": "<string>",
"phenotype_name": "<string>"
},
"method": "<string>",
"class": "<string>",
"label": "<string>",
"files_filesets": "<string>",
"variant": {
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>",
"ca_id": "<string>",
"_id": "<string>"
}
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Coding Variants Phenotypes
Retrieve phenotypes associated with the query coding variant.
At least one of these fields is required: coding_variant_name, hgvsp, uniprot_name, gene_name, amino_acid_position, transcript_id, method, files_fileset.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
DUAL-IPA:
Single result
- coding_variant_name = ACSF3_ENST00000317447_p.Ala17Pro_c.49G-C
- method = DUAL-IPA
Group results
- gene_name = ACSF3
- method = DUAL-IPA
ESM-1v:
Single result
- coding_variant_name = A1BG_ENST00000263100_p.Ala118Asn_c.352_353delinsAA
- method = ESM-1v
Group results
- gene_name = A1BG
- method = ESM-1v
MutPred2:
Single result
- coding_variant_name = A1BG_ENST00000263100_p.Ala118Arg_c.352_353delinsCG
- method = MutPred2
Group results
- gene_name = A1BG
- method = MutPred2
SGE:
Single result
- coding_variant_name = BRCA2_ENST00000380152__NC_000013.11:g.32319075A-C_splicing
- method = SGE
Group results
- gene_name = BRCA2
- method = SGE
VAMP-seq:
Single result
- coding_variant_name = CYP2C19_ENST00000371321_p.Ala103=_c.309T-G
- method = VAMP-seq
Group results
- gene_name = CYP2C19
- method = VAMP-seq
Coding Variants Phenotypes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/coding-variants/phenotypesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/coding-variants/phenotypes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/coding-variants/phenotypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"score": 123,
"source": "<string>",
"source_url": "<string>",
"coding_variant": {
"_id": "<string>",
"aapos": 123,
"hgvsp": "<string>",
"protein_name": "<string>",
"gene_name": "<string>",
"ref": "<string>",
"alt": "<string>"
},
"phenotype": {
"phenotype_id": "<string>",
"phenotype_name": "<string>"
},
"method": "<string>",
"class": "<string>",
"label": "<string>",
"files_filesets": "<string>",
"variant": {
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>",
"ca_id": "<string>",
"_id": "<string>"
}
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
DUAL-IPA, ESM-1v, MutPred2, SGE, VAMP-seq Response
Successful response